This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 29994 - Create convertor for Project.Resolver
Summary: Create convertor for Project.Resolver
Status: CLOSED FIXED
Alias: None
Product: projects
Classification: Unclassified
Component: Generic Infrastructure (show other bugs)
Version: 3.x
Hardware: PC All
: P3 blocker (vote)
Assignee: Jan Pokorsky
URL:
Keywords:
Depends on: 23289
Blocks:
  Show dependency tree
 
Reported: 2003-01-13 11:48 UTC by Vitezslav Stejskal
Modified: 2003-12-11 14:25 UTC (History)
0 users

See Also:
Issue Type: TASK
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitezslav Stejskal 2003-01-13 11:48:16 UTC
In order to allow full XMLization of FileSets
stored in the project we need to create and
register convertor for Project.Resolver class. The
convertor should handle two situations:

1. The FileSet created in project P1 is stored in
another project or outside of any project. In this
case convertor can simply remember the project ID
of P1, when de-XMLized it will try to identify the
project among opened projects and ask it for the
active resolver instance through the
Project.getResolver call.

2. The FileSet created in project P1 is stored in
the same project P1. In such case nothing has to
be remembered; when resolver is de-XMLized the
project can be obtained using Project.find method
called with parameter of FileObject from which the
resolver is being de-XMLized.
Comment 1 Jan Pokorsky 2003-02-14 14:44:33 UTC
Done in

/cvs/projects/core/src/org/netbeans/api/projects/Attic/ReferenceResolverConvertor.java
new revision: 1.1.2.1; previous revision: 1.1
/cvs/projects/core/src/org/netbeans/modules/projects/resources/Attic/layer.xml
new revision: 1.1.2.6; previous revision: 1.1.2.5
/cvs/projects/core/src/org/netbeans/modules/projects/resources/Attic/projects_resolver-1_0.dtd
new revision: 1.1.2.1; previous revision: 1.1
/cvs/projects/core/src/org/netbeans/api/projects/Attic/Project.java
new revision: 1.1.2.20; previous revision: 1.1.2.19
/cvs/projects/core/Attic/manifest.mf
new revision: 1.1.2.5; previous revision: 1.1.2.4
Comment 2 Jan Becicka 2003-11-25 14:03:41 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 3 Jan Becicka 2003-11-25 14:12:49 UTC
---> CLOSED